List all deposit addresses
curl --request GET \
--url https://api-sandbox.circle.com/v1/businessAccount/wallets/addresses/deposit \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.circle.com/v1/businessAccount/wallets/addresses/deposit"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.circle.com/v1/businessAccount/wallets/addresses/deposit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"address": "0x8381470ED67C3802402dbbFa0058E8871F017A6F",
"addressTag": "123456789",
"currency": "USD",
"chain": "ALGO",
"id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
"walletId": "1000999922"
}
]
}{
"code": 401,
"message": "Malformed authorization."
}Returns a list of deposit addresses for a given wallet.
GET
/
v1
/
businessAccount
/
wallets
/
addresses
/
deposit
List all deposit addresses
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The wallet ID for which the deposit addresses were generated. If not provided, the default is the main wallet of the account.
You can get wallet IDs associated with your account using the Core API for Institutions.
Response
Successfully retrieved a list of deposit addresses.
Show child attributes
Show child attributes
Was this page helpful?
⌘I